#ifndef _IMGBOX2D_H
#define _IMGBOX2D_H

#include <IMGBBox.h>

namespace IMG {

//* this class represents a 2d bound box for a texture 
class _IMGExport Box2d 
{
	public:
		Box2d();

		~Box2d();

		// GametoolsError -- Isma 17/08/2005
		Box2d & Box2d::operator =(const Box2d & p)
		{
			mMinimum = p.mMinimum;
			mMaximum = p.mMaximum;
			return (*this);
		}

		Ogre::Vector2 getMinimum();

		Ogre::Vector2 getMaximum(); 

		void setBoundBox(float x, float y, float X, float Y); 

		void addBoundingVector3(float x, float y);

		void print(); 

		Ogre::Vector2 getCorner(int corner) const;

		bool in(int w, int h); 

		bool fitPerfect(int w, int h);

	protected:
		Ogre::Vector2 mMinimum, mMaximum;
};

}
#endif
